Name:           amass
Version:        4.2.0
Release:        1%{?dist}
Summary:        In-depth subdomain enumeration written in Go.

License:        Apache-2.0
URL:            https://github.com/owasp-amass/Amass
Source0:        %{URL}/archive/refs/tags/v%{version}.tar.gz

ExclusiveArch:  x86_64 aarch64

BuildRequires:  golang

%description
Amass performs in-depth DNS enumeration, scraping, and subdomain brute-forcing using open source intelligence gathering.

%prep
%autosetup

%build
export GOPATH=%{_builddir}/go

go mod download
go build \
    -trimpath \
    -buildmode=pie \
    -mod=readonly \
    -modcacherw \
    -ldflags "-s -w" \
    -o amass ./cmd/...

%install
install -dm 755 %{buildroot}%{_bindir}
install -Dm 755 %{name}-%{version}/amass %{buildroot}%{_bindir}/amass

# Install shared data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a %{name}-%{version}/examples %{buildroot}%{_datadir}/%{name}/
mv %{buildroot}%{_datadir}/%{name}/examples/wordlists %{buildroot}%{_datadir}/%{name}/
chmod 644 %{buildroot}%{_datadir}/%{name}/wordlists/* || :
chmod 644 %{buildroot}%{_datadir}/%{name}/examples/* || :

%files
%license %{name}-%{version}/LICENSE
%doc %{name}-%{version}/README.md
%{_bindir}/amass
%{_datadir}/%{name}

%changelog
* Sat May 24 2025 1:42 TEST <Testl@test.org>
- No
